#!/bin/bash

rm -f /var/lib/dpkg/lock-frontend
rm -f /var/lib/dpkg/lock
rm -f /var/cache/apt/archives/*.deb
rm -f /var/lib/dpkg/updates/*

export DEBIAN_FRONTEND=noninteractive

apt --fix-broken -y install

apt update -y

for package in `dpkg -l --no-pager | grep ^i | grep -v ^ii | awk '{print $2}'`; do
    dpkg -P $package
done

dpkg --configure -a

apt --fix-broken -y install

for package in `dpkg -l --no-pager | grep ^i | grep -v ^ii | awk '{print $2}'`; do
    apt reinstall -y $package
done

apt update -y
apt autoremove -y

hasVersionUnas=0
for package in `dpkg -l version-unas | grep ^ii | awk '{print $2}'`; do
    hasVersionUnas=1
done
if [[ $hasVersionUnas == 0 ]]; then
    apt install -y version-unas
fi

apt --fix-broken -y install
